A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Types | Static Public Member Functions
dtype_traits< short > Struct Reference

`#include <traits.hpp>`

## Public Types
enum | { af_type = s16 , ctype = s16 }
typedef short | base_type

## Static Public Member Functions
static const char * | getName ()

## Detailed Description

Definition at line 145 of file traits.hpp.

## Member Typedef Documentation

## ◆ base_type

typedef short base_type

Definition at line 150 of file traits.hpp.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
af_type |
ctype |

Definition at line 146 of file traits.hpp.

146 {
147 af_type = s16 ,
148 ctype = s16
149 };
s16
@ s16
16-bit signed integral values
Definition defines.h:222
af::dtype_traits< short >::af_type
@ af_type
Definition traits.hpp:147
af::dtype_traits< short >::ctype
@ ctype
Definition traits.hpp:148

## Member Function Documentation

## ◆ getName()

static const char * getName | ( |  | ) |
| inline static

Definition at line 151 of file traits.hpp.

151{ return "short"; }

The documentation for this struct was generated from the following file:

- traits.hpp